Cancel Trusted Destination creation
curl --request DELETE \
--url https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/cancel \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/cancel"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Cancel Trusted Destination creation
Permissions required: Manage Trusted Destinations
Cancel ongoing creation of Trusted Destinations
DELETE
/
trusted_destinations
/
{creationRequestId}
/
cancel
Cancel Trusted Destination creation
curl --request DELETE \
--url https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/cancel \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/cancel"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/trusted_destinations/{creationRequestId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Idempotent ID provided in the Create Trusted Destination request
Minimum string length:
1Response
Successfully initiated cancellation of Trusted Destination creation
Was this page helpful?